---
title: Documentation
---

# Documentation

<div class="documentation__toc"></div>

## Introduction

Documentation for projects follows the same structure by default regardless of the source extension you use.

Below is the standard structure for documentation files.

```bash
- documentation-module
    - docs
        - en
            - 01.your-landing-page
                - 01.index.md
                - 02.another-page.md
            - 02.example-page
                - 01.index.md
                - 02.another-child-page.md
```
                
### Docs Directory

All documentation _should_ be placed within the `docs` directory in the root of your project.

### Translations

The documentation translations should be placed in their locale directory within the above `docs` directory.


## Pages

### Front-matter

Pages support front-matter that allows you to configure the behavior of the page. You can define front-matter in the very top of your page files:

```mmarkdownd
---
title: Documentation
---
```

### Accessing Front-matter

All front matter will be available on the page via it's `data` attribute:

```twig
{{ page.data.key }}

{{ page.getData(key, default) }}
```

```php
$page->getData($key, $default);

$presenter->$key;
```

### Supported Options

Below are the currently supported core options that can be managed by front-matter.

| Key | Type | Description |
|--|--|
|title|string|The meta title of the page|
|hidden|boolean|Whether to hide the page from navigation or not.|
|target|string|The link target for the page's corresponding navigation link.|
|redirect|string|The URL, URI, or page path to redirect to instead of displaying.|

Using the above knowledge we can create a link to google for example in a new tab like:

```markdown
---
title: Google
target: _blank
redirect: https://google.com
---
```

### Index Pages

Index files provide the content for the directory in which they reside.
